# SPEC file for Session Manager extension

%define rname	sessionmanager
%define version 0.5.3.2
%define release alt1
%define cid 	\{1280606b-2510-4fe0-97ef-9b5a22eafe30\}
%define ciddir  %firefox_noarch_extensionsdir/%cid

Name:		%firefox_name-%rname
Version:	%version
Release:	%release

Summary:	saves and restores the state of all windows
Summary(ru_RU.UTF-8):	сохраняет и восстанавливает состояние всех окон

License:	GPL
Group:		Networking/WWW
URL:		http://sessionmanager.mozdev.org/
BuildArch:	noarch

Packager:       Nikolay A. Fetisov <naf@altlinux.ru>

Source0:	session_manager-%version-fx.xpi

BuildRequires(pre):     rpm-build-firefox
BuildRequires:  unzip
Requires:       %firefox_name = %firefox_version
Conflicts:	firefox-sessionsaver firefox-TabMixPlus


%description
Session Manager extension for Firefox browser allows you to save
the current state of Firefox  (history, text data,  cookies) and 
return to that state  at any later moment.  Besides the manually 
saved states,  Session Manager  automatically stores the current 
state in case of a crash.

%description -l ru_RU.UTF-8
Расширение 'Session Manager' для Firefox позволяет сохранить текущее
состояние браузера (содержимое окон, историю, текстовые данные, 
cookies) и в дальнейшем в любой момент вернуться к этому состоянию. 
Помимо ручного сохранения, Session Manager автоматически запоминает
текущее состояние на случай восстановления после аварийного завершения
работы браузера.

%prep
%setup -c

%install
mkdir -p -- %buildroot/%ciddir
cp -r -- * %buildroot/%ciddir
touch %buildroot/%ciddir/chrome.manifest

%postun
%firefox_uninstall_extension %cid
if [ "$1" = 0 ]; then
  [ ! -d "%ciddir" ] || rm -rf "%ciddir"
fi

%files
%ciddir

%changelog
* Wed Mar 14 2007 Nikolay A. Fetisov <naf@altlinux.ru> 0.5.3.2-alt1
- New version
  * Automatically enables SessionStore and crysh recovery in Firefox settings
  * Added clear list menu option to list menu
  * Updated ru-RU locale, added da-DK, tr-TR and sk-SK locales
  * Some code optimization, interface improvements and bug fixes

* Mon Jan 08 2007 Nikolay A. Fetisov <naf@altlinux.ru> 0.5-alt1
- New version
  * full support for Firefox 2.0+
- removes obsolete macros
- replace 'set_firefox_noarch' macro with 'BuildArch' tag

* Sun Sep 24 2006 Nikolay A. Fetisov <naf@altlinux.ru> 0.4.3-alt2
- Rebuild for Firefox 1.5.0.7

* Sat Sep 16 2006 Nikolay A. Fetisov <naf@altlinux.ru> 0.4.3-alt1
- New version 0.4.3
-- reduced Session Manager's impact while typing into text fields
-- added a Dutch locale
-- several bug fixes

* Wed Aug 09 2006 Nikolay A. Fetisov <naf@altlinux.ru> 0.4.2-alt2
- Rebuild for Firefox 1.5.0.6

* Tue Jun 20 2006 Nikolay A. Fetisov <naf@altlinux.ru> 0.4.2-alt1
- Rebuild with firefox 1.5.0.4
- New version 0.4.2
  - improved error reporting
  - several bug fixes

* Wed May 24 2006 Nikolay A. Fetisov <naf@altlinux.ru> 0.4.1.1-alt1
- First build for ALT Linux

* Sun May 21 2006 Nikolay A. Fetisov <naf@altlinux.ru> 0.4.1.1-alt0
- Initial build
